severe problems with linux (2.4.x) and dualhead xf86 (4.0.x)